API Docs / Operations / Email Settings / Update Email Template

Update Email Template

PUT /tenants/{tenant}/settings/email/templates/{type}

Customises the template's subject and body. A subject and body equal to the defaults leave it un-customised.

Parameters

NameTypeDescription
tenant* path string

The tenant code (the organisation's URL stub)

The tenant code (the organisation's URL stub)

type* path enum

SubcontractorMonthlyStatement Invoice UserInvitation InvitationAccepted InvitationRejected RemittanceAdvice SdcStatementRequest SubcontractorAnnualStatement

SubcontractorMonthlyStatement Invoice UserInvitation InvitationAccepted InvitationRejected RemittanceAdvice SdcStatementRequest SubcontractorAnnualStatement

{
  "subject": "string",
  "body": "string"
}

Responses

400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
404 Not Found
application/problem+json